package at.technikumwien.movies;

import at.technikumwien.movies.generated.Movie;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;

/** Wrapper for XML with multiple movies **/
@XmlRootElement(name = "movies")
public class MovieList {
    @XmlElement(name="movie")
    public List<Movie> movies;

    public MovieList(List<Movie> movies) {
        this.movies = movies;
    }

    public MovieList() {
        this.movies = new ArrayList<Movie>();
    };
}
