package at.technikumwien.movies;

import org.apache.commons.codec.digest.DigestUtils;

import javax.security.enterprise.identitystore.PasswordHash;
import java.util.Objects;

public class SH2HexPasswordHash implements PasswordHash {
    @Override
    public String generate(char[] chars) {
        return DigestUtils.sha512Hex(new String(chars));
    }

    @Override
    public boolean verify(char[] chars, String s) {
        return Objects.equals(generate(chars), s);
    }
}
